# -*- coding: utf-8 -*-
{
    'name': "opendons",

    'summary': """
       Donation management module""",

    'description': """
        Donation management module
    """,

    'author': "COM&SENS DATA",
    'website': "http://www.yourcompany.com",

    # Categories can be used to filter modules in modules listing
    # Check https://github.com/odoo/odoo/blob/14.0/odoo/addons/base/data/ir_module_category_data.xml
    # for the full list
    'category': 'Uncategorized',
    'version': '0.1',

    # any module necessary for this one to work correctly
    'depends': ['base','base_iban','donation_recurring','website_sale','donation','donation_base','donation_direct_debit'],

    # always loaded
    'data': [
        'security/ir.model.access.csv',
        'security/security.xml',
        'views/settings.xml',
        'views/qualifier.xml',
        'views/donation.xml',
        'views/product.xml',
        'views/recurring_donation.xml',
        'data/recurring_donation_configuration.xml',
        'views/relationship.xml',
        'views/operation.xml',
        'views/operation_batch_export.xml',
        'views/templates.xml',
        'views/returnmail.xml',
        'views/payment_batch.xml',
        'views/bank_deposit.xml',
        'views/accounting_deposit.xml',
        'views/aggregate.xml',
        'views/duplicate.xml',
        'views/template_rf.xml',
        'views/template_pa.xml',
        'wizard/operation_duplicate_wizard.xml',
        'wizard/recurring_donation_wizard.xml',
        'wizard/create_bank_deposit_wizard.xml',
        'wizard/create_accounting_deposit_wizard.xml',
        'report/report_donationtax.xml',
        'report/report_donation_recurring.xml',
        'report/report.xml',
        'report/report_donationthanks.xml',
        'report/report_bank_deposit.xml',
        'views/donation_tax_receipt.xml',
        'views/donation_thanks_template.xml',
        'wizard/donation_cancel_wizard.xml',
        'views/laposte_ref.xml',
        'views/partner_import.xml',
        'views/portal.xml',
        'data/donation_recurring_mail_template.xml',
        'views/partner.xml',
        'views/fls.xml'

       
        
        
        
    ],
    # only loaded in demonstration mode
    'demo': [
        'demo/demo.xml',
    ],
    'installable': True,
}
