from odoo import models, fields, api
from odoo.exceptions import UserError, ValidationError,Warning
from psycopg2 import sql, DatabaseError

from werkzeug import utils

class opendons_accounting_deposit(models.Model):
    _name = 'opendons.accountingdeposit'
    _description = 'manage accounting deposit'

    
    company_id = fields.Many2one(
        "res.company",
        string="Company",
        ondelete="cascade",
        default=lambda self: self.env.company,
    )
    donation_ids = fields.One2many(
        'donation.donation',
        'accountingdeposit_id',
        string='Payment batchs',
        readonly=True
    )
    payment_batch_ids = fields.One2many(
        'opendons_payment_batch',
        'accountingdeposit_id',
        string='Payment batchs',
        readonly=True
    )
    